DraenorTreasures = LibStub("AceAddon-3.0"):NewAddon("DraenorTreasures", "AceBucket-3.0", "AceConsole-3.0", "AceEvent-3.0", "AceTimer-3.0")

local HandyNotes = LibStub("AceAddon-3.0"):GetAddon("HandyNotes", true)
if not HandyNotes then return end

local iconDefaults = {
default = "Interface\\Icons\\TRADE_ARCHAEOLOGY_CHESTOFTINYGLASSANIMALS",
unknown = "Interface\\Addons\\HandyNotes_DraenorTreasures\\Artwork\\chest_normal_daily.tga",
dailyrare = "Interface\\Addons\\HandyNotes_DraenorTreasures\\Artwork\\RareIconBlue.tga",
rare = "Interface\\Addons\\HandyNotes_DraenorTreasures\\Artwork\\RareIcon.tga",
swprare = "Interface\\Icons\\Trade_Archaeology_Fossil_SnailShell"
}

DraenorTreasures.nodes = { }
local nodes = DraenorTreasures.nodes

nodes["NagrandDraenor"] = { }
nodes["ShadowmoonValleyDR"] = { }
nodes["FrostfireRidge"] = { }
nodes["Gorgrond"] = { }
nodes["Talador"] = { }
nodes["SpiresOfArak"] = { }
nodes["garrisonsmvalliance_tier1"] = { }
nodes["garrisonsmvalliance_tier2"] = { }
nodes["garrisonsmvalliance_tier3"] = { }

nodes["NagrandDraenor"][64601760] = { "33648", "Steamwheedle Supplies", "Garrison Resources - Glider!", "unknown", "NagrandTreasures" }
nodes["NagrandDraenor"][66901950] = { "35954", "Elemental Offering", "Trash Item", "default", "NagrandTreasures" }
nodes["NagrandDraenor"][70601860] = { "35646", "Steamwheedle Supplies", "Garrison Resources - Glider!", "unknown", "NagrandTreasures" }
nodes["NagrandDraenor"][73102160] = { "35692", "Freshwater Clam", "Trash Item", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][70501390] = { "35643", "Mountain Climber's Pack", "Garrison Resources", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][73001090] = { "35951", "A Pile of Dirt", "Garrison Resources", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][73901410] = { "35955", "Adventurer's Sack", "Gold", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][78901550] = { "36036", "Elemental Shackles", "i605 Agi Ring", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][81501300] = { "35953", "Adventurer's Staff", "Gold", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][77302820] = { "35986", "Bone-Carved Dagger", "i597 Agi Dagger", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][87602030] = { "35662", "Steamwheedle Supplies", "Garrison Resources - Glider!", "unknown", "NagrandTreasures"  }
nodes["NagrandDraenor"][88901820] = { "35660", "Fungus-Covered Chest", "Garrison Resources - Glider!", "unknown", "NagrandTreasures"  }
nodes["NagrandDraenor"][88913310] = { "36857", "Smuggler's Cache", "Garrison Resources", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][81103720] = { "35661", "Brilliant Dreampetal", "Manareg Potion - Glider!", "unknown", "NagrandTreasures"  }
nodes["NagrandDraenor"][85403870] = { "36089", "Abu'gar's Missing Reel", "Abu'Gar's Finest Reel - Fishing?", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][88204260] = { "35616", "Steamwheedle Supplies", "Garrison Resources - Glider!", "unknown", "NagrandTreasures"  }
nodes["NagrandDraenor"][87504500] = { "35622", "Hidden Stash", "Garrison Resources - Glider!", "unknown", "NagrandTreasures"  }
nodes["NagrandDraenor"][64703580] = { "36071", "Watertight Bag", "20 Slot Bag", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][89406580] = { "35976", "Warsong Supplies", "Garrison Resources", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][87107290] = { "36051", "Grizzlemaw's Bonepile", "Discarded Bone - RP crap", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][81007980] = { "36049", "Ogre Beads", "i605 Str Ring", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][73107550] = { "35673", "Appropriated Warsong Supplies", "Garrison Resources", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][76107000] = { "35682", "Warsong Spear", "Trash Item - Glider!", "unknown", "NagrandTreasures", "default", "NagrandTreasures"   }
nodes["NagrandDraenor"][73007040] = { "35678", "Warsong Lockbox", "Garrison Resources", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][75306570] = { "36099", "Important Exploration Supplies", "Alcoholic Beverages", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][75206500] = { "36102", "Saberon Stash", "Gold", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][75806200] = { "36077", "Adventurer's Mace", "Gold", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][80606060] = { "35593", "Warsong Spoils", "Garrison Resources - Glider!", "unknown", "NagrandTreasures"  }
nodes["NagrandDraenor"][82305660] = { "35765", "Adventurer's Pack", "Gold", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][73006220] = { "35590", "Goblin Pack", "Garrison Resources", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][72706100] = { "36035", "Polished Saberon Skull", "i605 agi/str Ring", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][77805190] = { "35591", "Steamwheedle Supplies", "Garrison Resources - Glider!", "unknown", "NagrandTreasures"  }
nodes["NagrandDraenor"][75404710] = { "36074", "Gambler's Purse", "Counterfeit Coin - Crap", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][38404940] = { "36072", "Abu'Gar's Favorite Lure", "Abu'Gar's Favorite Lure - Fishing?", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][52404440] = { "36073", "Warsong Helm", "i609 Mail Agi/Int Helm", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][45605200] = { "35969", "Adventurer's Pack", "Gold", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][43305750] = { "35987", "Genedar Debris", "Garrison Resources", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][40406860] = { "37435", "Spirit Coffer", "Garrison Resources", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][37707060] = { "34760", "Treasure of Kull'krosh", "Garrison Resources", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][48006010] = { "35999", "Genedar Debris", "Garrison Resources", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][51706030] = { "35695", "Warsong Cache", "Garrison Resources", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][50108220] = { "35577", "Steamwheedle Supplies", "Garrison Resources - Glider!", "unknown", "NagrandTreasures"  }
nodes["NagrandDraenor"][52708010] = { "35583", "Steamwheedle Supplies", "Garrison Resources - Glider!", "unknown", "NagrandTreasures"  }
nodes["NagrandDraenor"][47207430] = { "35576", "Goblin Pack", "Garrison Resources", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][48607270] = { "36008", "Genedar Debris", "Garrison Resources", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][45806630] = { "36020", "Fragment of Oshu'gun", "i607 int Shield", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][44606750] = { "36002", "Genedar Debris", "Garrison Resources", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][50006650] = { "35579", "Void-Infused Crystal", "i613 2H Str Sword", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][56607290] = { "36050", "Adventurer's Pouch", "Garrison Resources", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][55306820] = { "36011", "Genedar Debris", "Garrison Resources", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][57806220] = { "36115", "Pale Elixir", "Manareg Potion", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][58305940] = { "36021", "Pokkar's Thirteenth Axe", "i605 1h str axe", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][58205260] = { "35694", "Golden Kaliri Egg", "Trash Item", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][61805740] = { "36082", "Lost Pendant", "Trash Amulet", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][62506710] = { "36116", "Bag of Herbs", "Herbs", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][64706580] = { "36046", "Telaar Defender Shield", "i605 agi/int Ring", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][65906120] = { "35711", "Abu'gar's Vitality", "Abu'gar's Vitality - Fishing?", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][67605980] = { "35759", "Abandoned Cargo", "Gold", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][67404900] = { "36039", "Highmaul Sledge", "i605 Str Ring", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][69905240] = { "35597", "Adventurer's Pack", "Gold", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][77101660] = { "36174", "Bounty of the Elements", " Garrison Resources - Elemental Stones!", "default", "NagrandTreasures"  }
nodes["NagrandDraenor"][38305880] = { "36109", "Goldtoe's Plunder", "Gold - Key on the Parrot", "default", "NagrandTreasures"  }

nodes["NagrandDraenor"][87005500] = { "34862", "Hyperious", "i597 Trinket Haste + Mastery Proc", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][82607620] = { "34645", "Warmaster Blugthol", "i600 str/int plate bracer", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][34607700] = { "34727", "Captain Ironbeard", "Toy + i607 Gun", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][75606500] = { "36128", "Soulfang", "i597 int sword", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][89004120] = { "35623", "Explorer Nozzand ", "Trash Item", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][73605780] = { "35712", "Redclaw the Feral", "i604 int fistweapon without spellpower", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][66805120] = { "35714", "Greatfeather", "i600 cloth body", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][52205580] = { "35715", "Gar'lua", "i605 Trinket Multistrike + Wolf Proc", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][66605660] = { "35717", "Gnarlhoof the Rabid", "i598 Trinket Multistrike + Agi Proc", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][84605340] = { "35778", "Ancient Blademaster", "Garrison Resources only", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][86007160] = { "35784", "Grizzlemaw", "i610 str cloak", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][74801180] = { "35836", "Fangler", "Trash Items", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][47607080] = { "35865", "Netherspawn", "Netherspawn Pet", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][42804920] = { "35875", "Ophiis", "i602 cloth pants", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][70602940] = { "35877", "Windcaller Korast", "i598 caster staff", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][70004180] = { "35893", "Flinthide", "i609 str shield", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][93202820] = { "35898", "Gorepetal", "i602 agi/int leather gloves (fast herbing gloves)", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][58008400] = { "35900", "Ru'klaa", "i608 int/str plate shoulder", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][61804720] = { "35912", "Sean Whitesea", "Garrison Resources", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][65003900] = { "35920", "Tura'aka", "i609 agi cloak", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][80603040] = { "35923", "Hunter Blacktooth", "i609 agi 2h mace", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][54806120] = { "35931", "Scout Pokhar", "i601 str 1h axe", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][81206000] = { "35932", "Malroc Stonesunder ", "i597 agi staff", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][61806900] = { "35943", "Outrider Duretha", "i598 agi/int leather boots", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][84603660] = { "36159", "Graveltooth", "i609 agi/int leather bracer", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][45801520] = { "36229", "Mr. Pinchy Sr.", "Trinket Multistrike + Lobstrok Proc", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][45803480] = { "37399", "Karosh Blackwind", "i620 int cloth pants", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][43003640] = { "37400", "Brutag Grimblade", "i620 int/str plate boots", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][38602240] = { "37395", "Durg Spinecrusher", "i620 agi 2h mace", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][58201800] = { "37637", "Pit Beast", "Apexis Crystals", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][77006400] = { "35735", "Berserk T-300 Series Mark II", "In a cave, opened with a switch, not visible on minimap", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][42207860] = { "34725", "Gaz'orda", "In a cave", "rare", "NagrandRares"  }
nodes["NagrandDraenor"][52009000] = { "37408", "Lernaea", "Elite", "rare", "NagrandRares"  }

nodes["NagrandDraenor"][58201200] = { "37398", "Krud the Eviscerator", "!!!LEVEL100!!! Daily Rare: Assault on the Gorian Proving Grounds", "dailyrare", "NagrandRares"  }
nodes["NagrandDraenor"][43803440] = { "37473", "Krahl Deadeye", "!!!LEVEL100!!!Daily Rare: Assault on Mok'gol Watchpost", "dailyrare", "NagrandRares"  }
nodes["NagrandDraenor"][45003640] = { "37472", "Gortag Steelgrip", "!!!LEVEL100!!!Daily Rare: Assault on Mok'gol Watchpost", "dailyrare", "NagrandRares"  }
nodes["NagrandDraenor"][38001960] = { "37397", "Pit Slayer", "!!!LEVEL100!!!Daily Rare: Assault on the Broken Precipice", "dailyrare", "NagrandRares"  }
nodes["NagrandDraenor"][40001600] = { "37395", "Bonebreaker", "!!!LEVEL100!!!Daily Rare: Assault on the Broken Precipice", "dailyrare", "NagrandRares"  }

nodes["NagrandDraenor"][62601680] = { "37211", "Bergruu", "Roams quite alot - Reputation Item", "swprare", "NagrandRares"  }
nodes["NagrandDraenor"][50204120] = { "37221", "Dekorhan", "Reputation Item", "swprare", "NagrandRares"  }
nodes["NagrandDraenor"][63402960] = { "37225", "Thek'talon", "Reputation Item", "swprare", "NagrandRares"  }
nodes["NagrandDraenor"][48202220] = { "37223", "Gagrog the Brutal", "Reputation Item", "swprare", "NagrandRares"  }
nodes["NagrandDraenor"][41004400] = { "37226", "Xelganak", "Reputation Item", "swprare", "NagrandRares"  }
nodes["NagrandDraenor"][51001600] = { "37210", "Aogexon", "Reputation Item", "swprare", "NagrandRares"  }
nodes["NagrandDraenor"][60003800] = { "37222", "Direhoof", "Reputation Item", "swprare", "NagrandRares"  }
nodes["NagrandDraenor"][34005100] = { "37224", "Mu'gra", "Reputation Item", "swprare", "NagrandRares"  }
nodes["NagrandDraenor"][37003800] = { "37520", "Vileclaw", "Reputation Item", "swprare", "NagrandRares"  }

nodes["ShadowmoonValleyDR"][27100260]={ "35280", "Stolen Treasure", "Garrison Resources", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][26500570]={ "34174", "Fantastic Fish", "Garrison Resources", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][28800710]={ "35279", "Sunken Treasure", "Garrison Resources", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][30301990]={ "35530", "Lunarfall Egg", "(only before Garrison) - Garrison Resources", "default", "SMVTreasures"}
nodes["garrisonsmvalliance_tier1"][49604380]={ "35530", "Lunarfall Egg", "Garrison Resources", "default", "SMVTreasures"}
nodes["garrisonsmvalliance_tier1"][51800110]={ "35289", "Spark's Stolen Supplies", "in a cave in the lake - Garrison Resources", "default", "SMVTreasures"}
nodes["garrisonsmvalliance_tier1"][42405436]={ "35381", "Pippers' Buried Supplies 1", "Garrison Resources", "default", "SMVTreasures"}
nodes["garrisonsmvalliance_tier1"][50704850]={ "35382", "Pippers' Buried Supplies 2", "Garrison Resources", "default", "SMVTreasures"}
nodes["garrisonsmvalliance_tier1"][30802830]={ "35383", "Pippers' Buried Supplies 3", "Garrison Resources", "default", "SMVTreasures"}
nodes["garrisonsmvalliance_tier1"][49197683]={ "35384", "Pippers' Buried Supplies 4", "Garrison Resources", "default", "SMVTreasures"}
nodes["garrisonsmvalliance_tier2"][37306590]={ "35530", "Lunarfall Egg", "Garrison Resources", "default", "SMVTreasures"}
nodes["garrisonsmvalliance_tier2"][51800110]={ "35289", "Spark's Stolen Supplies", "in a cave in the lake - Garrison Resources", "default", "SMVTreasures"}
nodes["garrisonsmvalliance_tier2"][41685803]={ "35381", "Pippers' Buried Supplies 1", "Garrison Resources", "default", "SMVTreasures"}
nodes["garrisonsmvalliance_tier2"][51874545]={ "35382", "Pippers' Buried Supplies 2", "Garrison Resources", "default", "SMVTreasures"}
nodes["garrisonsmvalliance_tier2"][34972345]={ "35383", "Pippers' Buried Supplies 3", "Garrison Resources", "default", "SMVTreasures"}
nodes["garrisonsmvalliance_tier2"][46637608]={ "35384", "Pippers' Buried Supplies 4", "Garrison Resources", "default", "SMVTreasures"}
nodes["garrisonsmvalliance_tier3"][61277261]={ "35530", "Lunarfall Egg", "Garrison Resources", "default", "SMVTreasures"}
nodes["garrisonsmvalliance_tier3"][51800110]={ "35289", "Spark's Stolen Supplies", "in a cave in the lake - Garrison Resources", "default", "SMVTreasures"}
nodes["garrisonsmvalliance_tier3"][60575515]={ "35381", "Pippers' Buried Supplies 1", "Garrison Resources", "default", "SMVTreasures"}
nodes["garrisonsmvalliance_tier3"][37307491]={ "35382", "Pippers' Buried Supplies 2", "Garrison Resources", "default", "SMVTreasures"}
nodes["garrisonsmvalliance_tier3"][37864378]={ "35383", "Pippers' Buried Supplies 3", "Garrison Resources", "default", "SMVTreasures"}
nodes["garrisonsmvalliance_tier3"][61527154]={ "35384", "Pippers' Buried Supplies 4", "Garrison Resources", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][37202310]={ "33613", "Bubbling Cauldron", "in a cave - i516 offhand", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][37202610]={ "35677", "Sunken Fishing boat", "useless fish", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][45802460]={ "33570", "Shadowmoon Exile Treasure", "in a cave below exile rise - 25 Garrison Resources", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][52902490]={ "37254", "Mushroom-Covered Chest", "", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][51803550]={ "33037", "False-Bottomed Jar", "low xp + gold per mail(buggy)", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][66903350]={ "36507", "Orc Skeleton", "i526 str ring", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][57904530]={ "33568", "Kaliri Egg", "25 Garrison Resources", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][55004500]={ "35581", "Alchemist's Satchel", "Herbs", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][48704750]={ "35798", "Glowing Cave Mushroom", "Herbs", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][47104610]={ "33564", "Hanging Satchel", "i518 agi/int leather gloves", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][20303060]={ "33575", "Demonic Cache", "i550 int neck", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][22803390]={ "33572", "Rotting Basket", "Trash Item", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][28303930]={ "33571", "Shadowmoon Treasure", "Garrison Resources", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][30004530]={ "35919", "Shadowmoon Sacrificial Dagger", "i524 caster dagger", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][37505930]={ "33567", "Iron Horde Tribute", "Trinket Multistrike + DMG on Use", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][42106130]={ "33041", "Iron Horde Cargo Shipment", "Garrison Resources", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][43806060]={ "33611", "Peaceful Offering 1", "Trash Items", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][45206050]={ "33610", "Peaceful Offering 2", "Trash Items", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][44506350]={ "33384", "Peaceful Offering 3", "Trash Items", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][44505920]={ "33612", "Peaceful Offering 4", "Trash Items", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][51107910]={ "33574", "Vindicator's Cache", "!!!LEVEL100 AREA!!! - Toy", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][39208380]={ "33566", "Waterlogged Chest  ", "i520 str Fist Weapon + Garrison Resources", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][41502790]={ "33869", "Armored Elekk Tusk", "i518 trinket bonus armor + mastery on use", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][37704430]={ "33584", "Ashes of A'kumbo", "RP Thingie which might give XP", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][36804140]={ "33046", "Beloved's Offering", "Trash", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][33503970]={ "33569", "Carved Elekk Horn", "Mana Potion Thingie", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][67108430]={ "33565", "Scaly Rylak Egg", "Trash", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][38504300]={ "33614", "Greka's Urn", "i528 Trinket Haste + Str proc", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][84504470]={ "33885", "Cargo of the Raven Queen", "Garrison Resources", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][58902200]={ "35603", "Mikkal's Chest", "Trash", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][34404620]={ "33891", "Giant Moonwillow Cone", "i522 Wand", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][31303910]={ "33886", "Ronokk's Belongings", "i522 str cloak", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][36704450]={ "33573", "Rovo's Dagger", "i520 agi dagger", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][49303750]={ "33867", "Astrologer's Box", "Toy", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][55801990]={ "35600", "Strange Spore", "Pet", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][35904090]={ "33540", "Uzko's Knickknacks", "i525 agi/int leather boots", "default", "SMVTreasures"}
nodes["ShadowmoonValleyDR"][34204350]={ "33866", "Veema's Herb Bag", "Herbs", "default", "SMVTreasures"}

nodes["ShadowmoonValleyDR"][37203640]={ "33061", "Amaukwa", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][52801680]={ "35731", "Ba'ruun", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][29600620]={ "35281", "Bahameye", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][48604360]={ "33064", "Dark Emanation", "Cave", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][41008300]={ "35448", "Darkmaster Go'vid", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][49604200]={ "35555", "Darktalon", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][29603380]={ "33664", "Gorum", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][61606180]={ "35725", "Faebright", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][67806380]={ "35688", "Enavra", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][37404880]={ "35558", "Hypnocroak", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][57404840]={ "35909", "Insha'tar", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][40804440]={ "33043", "Killmaw", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][32203500]={ "33039", "Ku'targ the Voidseer", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][37601460]={ "33055", "Leaf-Reader Kurri", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][44802080]={ "35906", "Mad King Sporeon ", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][38607020]={ "35523", "Morva Soultwister", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][44005760]={ "33642", "Mother Om'ra", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][48602260]={ "35553", "Rai'vosh", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][53005060]={ "34068", "Rockhoof", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][61005520]={ "35732", "Shinri", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][27604360]={ "36880", "Sneevel", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][21602100]={ "33640", "Veloss", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][54607060]={ "33643", "Venomshade", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][32604140]={ "35847", "Voidseer Kalurg", "", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][48806640]={ "33389", "Yggdrel", "Elite", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][42804100]={ "33038", "Windfang Matriarch", "Artificer Romuul Event", "rare", "SMVRares"}
nodes["ShadowmoonValleyDR"][43807740]={ "33383", "Brambleking Fili", "", "rare", "SMVRares"}

nodes["ShadowmoonValleyDR"][46007160]={ "37351", "Demidos", "!!!LEVEL100!!! Daily Rare: Assault on Socrethar's Rise", "dailyrare", "SMVRares"}
nodes["ShadowmoonValleyDR"][48007760]={ "37355", "Lady Temptessa", "!!!LEVEL100!!! Daily Rare: Assault on Socrethar's Rise", "dailyrare", "SMVRares"}
nodes["ShadowmoonValleyDR"][50207240]={ "37352", "Quartermaster Hershak", "!!!LEVEL100!!! Daily Rare: Assault on Socrethar's Rise", "dailyrare", "SMVRares"}
nodes["ShadowmoonValleyDR"][48208100]={ "37354", "Shadowspeaker Niir", "!!!LEVEL100!!! Daily Rare: Assault on Socrethar's Rise", "dailyrare", "SMVRares"}
nodes["ShadowmoonValleyDR"][50807880]={ "37356", "Aqualir", "!!!LEVEL100!!! Daily Rare: Assault on Socrethar's Rise", "dailyrare", "SMVRares"}
nodes["ShadowmoonValleyDR"][51807920]={ "37353", "Master Sergeant Milgra", "!!!LEVEL100!!! Daily Rare: Assault on Socrethar's Rise", "dailyrare", "SMVRares"}
nodes["ShadowmoonValleyDR"][61408880]={ "37411", "Slivermaw", "!!!LEVEL100!!! Daily Rare: Assault on Darktide Roost", "dailyrare", "SMVRares"}
nodes["ShadowmoonValleyDR"][58408680]={ "37409", "Nagidna", "!!!LEVEL100!!! Daily Rare: Assault on Darktide Roost", "dailyrare", "SMVRares"}
nodes["ShadowmoonValleyDR"][68208480]={ "37410", "Avalanche", "!!!LEVEL100!!! Daily Rare: Assault on Darktide Roost", "dailyrare", "SMVRares"}

--Gorgrond seems to be extremely imcomplete on wowhead
--QuestIDs: 34147,34149,34151,34153,34146,34155,34152,34172,34173,34176,34201,34177,34219,34195,34206,34179,34210,34211,34214,34215,34218
nodes["Gorgrond"][41807810]={ "36658", "Evermorn Supply Cache", "Random Green", "default", "GorgrondTreasures"}
nodes["Gorgrond"][48109340]={ "36604", "Stashed Emergency Rucksack", "", "default", "GorgrondTreasures"}
nodes["Gorgrond"][57805600]={ "36605", "Remains of Balldir Deeprock", "Trash Item", "default", "GorgrondTreasures"}
nodes["Gorgrond"][42408340]={ "36625", "Discarded Pack", "Random Green", "default", "GorgrondTreasures"}
nodes["Gorgrond"][40007230]={ "36170", "Femur of Improbability", "Trash Item", "default", "GorgrondTreasures"}
nodes["Gorgrond"][40407660]={ "36621", "Explorer Canister", "50 Garrison Resources", "default", "GorgrondTreasures"}
nodes["Gorgrond"][48904730]={ "36203", "Warm Goren Egg", "Goren Egg - Pet?", "default", "GorgrondTreasures"}
nodes["Gorgrond"][45704970]={ "36610", "Suntouched Spear", "Trash Item", "default", "GorgrondTreasures"}
nodes["Gorgrond"][43109290]={ "34241", "Ockbar's Pack", "Trash Item", "default", "GorgrondTreasures"}
nodes["Gorgrond"][59406370]={ "36628", "Vindicator's Hammer", "i539 Str 2H Mace", "default", "GorgrondTreasures"}
nodes["Gorgrond"][52506690]={ "36509", "Odd Skull", "i535 offhand", "default", "GorgrondTreasures"}
nodes["Gorgrond"][49304360]={ "36596", "Weapons Cache", "100 Garrison Resources", "default", "GorgrondTreasures"}
nodes["Gorgrond"][43704240]={ "36618", "Iron Supply Chest", "Garrison Resources", "default", "GorgrondTreasures"}
nodes["Gorgrond"][44207420]={ "35709", "Laughing Skull Cache", "Garrison Resources", "default", "GorgrondTreasures"}
nodes["Gorgrond"][53107440]={ "36654", "Remains of Balik Orecrusher", "Trash Item", "default", "GorgrondTreasures"}
nodes["Gorgrond"][41705300]={ "36506", "Brokor's Sack", "i538 caster staff without spellpower(bug)", "default", "GorgrondTreasures"}
nodes["Gorgrond"][43606980]={ "36118", "Pile of Rubble", "Random Green", "default", "GorgrondTreasures"}
nodes["Gorgrond"][46204290]={ "36521", "Petrified Rylak Egg", "Trash Item", "default", "GorgrondTreasures"}
nodes["Gorgrond"][39006810]={ "36631", "Sasha's Secret Stash", "", "default", "GorgrondTreasures"}
nodes["Gorgrond"][46105000]={ "36651", "Harvestable Precious Crystal", "Garrison Resources", "default", "GorgrondTreasures"}
nodes["Gorgrond"][45004260]={ "36634", "Sniper's Crossbow", "i539 Crossbow", "default", "GorgrondTreasures"}
nodes["Gorgrond"][53008000]={ "34940", "Strange Looking Dagger", "i537 agi dagger", "default", "GorgrondTreasures"}
nodes["Gorgrond"][42604680]={ "35056", "Horned Skull", "Garrison Resources", "default", "GorgrondTreasures"}
nodes["Gorgrond"][71906660]={ "xxx", "Sunken Treasure", "Unknown QuestID - Garrison Resources", "default", "GorgrondTreasures"}

nodes["Gorgrond"][44609220]={ "36656", "Sunclaw", "", "rare", "GorgrondRares"}
nodes["Gorgrond"][37608140]={ "36600", "Riptar", "", "rare", "GorgrondRares"}
nodes["Gorgrond"][53407820]={ "34726", "Mother Araneae", "", "rare", "GorgrondRares"}
nodes["Gorgrond"][54207240]={ "36837", "Stompalupagus", "", "rare", "GorgrondRares"}
nodes["Gorgrond"][52207020]={ "35908", "Hive Queen Skrikka", "", "rare", "GorgrondRares"}
nodes["Gorgrond"][57406860]={ "36387", "Fossilwood the Petrified", "", "rare", "GorgrondRares"}
nodes["Gorgrond"][38206620]={ "35910", "Stomper Kreego", "", "rare", "GorgrondRares"}
nodes["Gorgrond"][64006180]={ "36794", "Sylldross", "", "rare", "GorgrondRares"}
nodes["Gorgrond"][40205960]={ "36394", "Sulfurious", "", "rare", "GorgrondRares"}
nodes["Gorgrond"][50605320]={ "36178", "Mandrakor", "Cave", "rare", "GorgrondRares"}
nodes["Gorgrond"][46205080]={ "36204", "Glut", "Cave", "rare", "GorgrondRares"}
nodes["Gorgrond"][41804540]={ "36391", "Gelgor of the Blue Flame", "", "rare", "GorgrondRares"}
nodes["Gorgrond"][53404460]={ "35503", "Char the Burning", "", "rare", "GorgrondRares"}
nodes["Gorgrond"][40007900]={ "35335", "Bashiok", "", "rare", "GorgrondRares"}
nodes["Gorgrond"][47804140]={ "36393", "Rolkor", "", "rare", "GorgrondRares"}
nodes["Gorgrond"][58006360]={ "35813", "Fungal Praetorian", "", "rare", "GorgrondRares"}
nodes["Gorgrond"][46804320]={ "36186", "Greldrok the Cunning", "Cave", "rare", "GorgrondRares"}
nodes["Gorgrond"][76004200]={ "37405", "Typhon", "", "rare", "GorgrondRares"}

nodes["Gorgrond"][49003380]={ "37363", "Maniacal Madgard", "!!!LEVEL100!!! Daily Rare: Assault on the Pit", "dailyrare", "GorgrondRares"}
nodes["Gorgrond"][50002380]={ "37366", "Durp the Hated", "!!!LEVEL100!!! Daily Rare: Assault on the Pit", "dailyrare", "GorgrondRares"}
nodes["Gorgrond"][47002380]={ "37365", "Horgg", "!!!LEVEL100!!! Daily Rare: Assault on the Pit", "dailyrare", "GorgrondRares"}
nodes["Gorgrond"][47002580]={ "37364", "Morgo Kain", "!!!LEVEL100!!! Daily Rare: Assault on the Pit", "dailyrare", "GorgrondRares"}
nodes["Gorgrond"][48202100]={ "37362", "Defector Dazgo", "!!!LEVEL100!!! Daily Rare: Assault on the Pit", "dailyrare", "GorgrondRares"}
nodes["Gorgrond"][47603060]={ "37367", "Inventor Blammo", "!!!LEVEL100!!! Daily Rare: Assault on the Pit", "dailyrare", "GorgrondRares"}
nodes["Gorgrond"][46003360]={ "37368", "Blademaster Ro'gor", "!!!LEVEL100!!! Daily Rare: Assault on the Pit", "dailyrare", "GorgrondRares"}
nodes["Gorgrond"][70803400]={ "37374", "Swift Onyx Flayer", "!!!LEVEL100!!! Daily Rare: Assault on the Everbloom Wilds", "dailyrare", "GorgrondRares"}
nodes["Gorgrond"][69204460]={ "37369", "Protectors of the Grove", "!!!LEVEL100!!! Daily Rare: Assault on the Everbloom Wilds", "dailyrare", "GorgrondRares"}
nodes["Gorgrond"][58604120]={ "37371", "Alkali", "!!!LEVEL100!!! Daily Rare: Assault on the Everbloom Wilds", "dailyrare", "GorgrondRares"}
nodes["Gorgrond"][72803580]={ "37373", "Firestarter Grash", "!!!LEVEL100!!! Daily Rare: Assault on the Everbloom Wilds", "dailyrare", "GorgrondRares"}
nodes["Gorgrond"][55004660]={ "37377", "Hunter Bal'ra", "!!!LEVEL100!!! Daily Rare: Assault on the Everbloom Wilds", "dailyrare", "GorgrondRares"}
nodes["Gorgrond"][61803930]={ "37376", "Mogamago", "!!!LEVEL100!!! Daily Rare: Assault on the Everbloom Wilds", "dailyrare", "GorgrondRares"}
nodes["Gorgrond"][63803160]={ "37372", "Venolasix", "!!!LEVEL100!!! Daily Rare: Assault on the Everbloom Wilds", "dailyrare", "GorgrondRares"}
nodes["Gorgrond"][57603580]={ "37370", "Depthroot", "!!!LEVEL100!!! Daily Rare: Assault on the Everbloom Wilds", "dailyrare", "GorgrondRares"}
nodes["Gorgrond"][59604300]={ "37375", "Grove Warden Yal", "!!!LEVEL100!!! Daily Rare: Assault on the Everbloom Wilds", "dailyrare", "GorgrondRares"}

nodes["Talador"][62003240]={ "34236", "Amethyl Crystal", "100 Garrison Resources", "default", "TaladorTreasures"}
nodes["Talador"][81803500]={ "34260", "Aruuna Mining Cart", "Ores", "default", "TaladorTreasures"}
nodes["Talador"][62404800]={ "34252", "Barrel of Fish", "Fish", "default", "TaladorTreasures"}
nodes["Talador"][33307670]={ "34259", "Bonechewer Remnants", "Garrison Resources", "default", "TaladorTreasures"}
nodes["Talador"][73505140]={ "34471", "Bright Coin", "i560 Trinket Versatility + Bonus Armor proc", "default", "TaladorTreasures"}
nodes["Talador"][77005000]={ "34248", "Charred Sword", "i563 2H Str Sword", "default", "TaladorTreasures"}
nodes["Talador"][39505520]={ "34254", "Soulbinder's Reliquary", "i558 int ring", "default", "TaladorTreasures"}
nodes["Talador"][58901200]={ "33933", "Deceptia's Smoldering Boots", "Toy", "default", "TaladorTreasures"}
nodes["Talador"][55206680]={ "34253", "Draenei Weapons", "100 Garrison Resources", "default", "TaladorTreasures"}
nodes["Talador"][35509660]={ "34249", "Farmer's Bounty", "Garrison Resources", "default", "TaladorTreasures"}
nodes["Talador"][57402670]={ "34238", "Foreman's Lunchbox", "Reusable Food/Drink", "default", "TaladorTreasures"}
nodes["Talador"][74602930]={ "35162", "Teroclaw Nest 1", "Pet", "default", "TaladorTreasures"}
nodes["Talador"][73503070]={ "35162", "Teroclaw Nest 2", "Pet", "default", "TaladorTreasures"}
nodes["Talador"][74303400]={ "35162", "Teroclaw Nest 3", "Pet", "default", "TaladorTreasures"}
nodes["Talador"][72803560]={ "35162", "Teroclaw Nest 4", "Pet", "default", "TaladorTreasures"}
nodes["Talador"][72403700]={ "35162", "Teroclaw Nest 5", "Pet", "default", "TaladorTreasures"}
nodes["Talador"][70903550]={ "35162", "Teroclaw Nest 6", "Pet", "default", "TaladorTreasures"}
nodes["Talador"][70803200]={ "35162", "Teroclaw Nest 7", "Pet", "default", "TaladorTreasures"}
nodes["Talador"][54105630]={ "35162", "Teroclaw Nest 8", "Pet", "default", "TaladorTreasures"}
nodes["Talador"][39807670]={ "35162", "Teroclaw Nest 9", "Pet", "default", "TaladorTreasures"}
nodes["Talador"][39307770]={ "35162", "Teroclaw Nest 10", "Pet", "default", "TaladorTreasures"}
nodes["Talador"][64607920]={ "34251", "Iron Box", "i554 1H str mace", "default", "TaladorTreasures"}
nodes["Talador"][65501130]={ "34233", "Jug of Aged Ironwine", "Alcoholic Beverages", "default", "TaladorTreasures"}
nodes["Talador"][75704140]={ "34261", "Keluu's Belongings  ", "", "default", "TaladorTreasures"}
nodes["Talador"][54002760]={ "34290", "Ketya's Stash", "Pet", "default", "TaladorTreasures"}
nodes["Talador"][38201250]={ "34258", "Light of the Sea", "Garrison Resources", "default", "TaladorTreasures"}
nodes["Talador"][52502950]={ "34235", "Luminous Shell", "i557 int neck", "default", "TaladorTreasures"}
nodes["Talador"][78201480]={ "34263", "Pure Crystal Dust", "i554 agi ring", "default", "TaladorTreasures"}
nodes["Talador"][75804480]={ "34250", "Relic of Aruuna", "Trash Item", "default", "TaladorTreasures"}
nodes["Talador"][47009170]={ "34256", "Relic of Telmor", "Trash Item", "default", "TaladorTreasures"}
nodes["Talador"][64901330]={ "34232", "Rook's Tacklebox", "+4 Fishing Lure", "default", "TaladorTreasures"}
nodes["Talador"][65908520]={ "34276", "Rusted Lockbox", "Random Green", "default", "TaladorTreasures"}
nodes["Talador"][75003600]={ "33649", "Iron Scout", "", "default", "TaladorTreasures"}
nodes["Talador"][38408450]={ "34257", "Treasure of Ango'rosh", "Throwing Rocks", "default", "TaladorTreasures"}
nodes["Talador"][66608690]={ "34239", "Curious Deathweb Egg", "Toy", "default", "TaladorTreasures"}
nodes["Talador"][65508860]={ "34255", "Webbed Sac", "Garrison Resources + X", "default", "TaladorTreasures"}
nodes["Talador"][70100700]={ "36937", "Burning Blade Cache", "Apexis Crystal", "default", "TaladorTreasures"}
nodes["Talador"][40608950]={ "34140", "Yuuri's Gift", "Garrison Resources", "default", "TaladorTreasures"}
nodes["Talador"][36509610]={ "34182", "Aarko's Family Treasure", "i557 Crossbow", "default", "TaladorTreasures"}
nodes["Talador"][69905610]={ "34101", "Lightbearer", "Trash Item", "default", "TaladorTreasures"}
nodes["Talador"][61107170]={ "34116", "Norana's Cache", "", "default", "TaladorTreasures"}
nodes["Talador"][37607490]={ "xxx", "Bonechewer Spear", "Unknown QuestID", "default", "TaladorTreasures"}

nodes["Talador"][49009200]={ "34208", "Lo'marg Jawcrusher", "", "rare", "TaladorRares"}
nodes["Talador"][53909100]={ "34668", "Talonpriest Zorkra", "", "rare", "TaladorRares"}
nodes["Talador"][66808540]={ "34498", "Klikixx", "", "rare", "TaladorRares"}
nodes["Talador"][67408060]={ "34929", "Gennadian", "", "rare", "TaladorRares"}
nodes["Talador"][50808380]={ "35018", "Gelbark", "", "rare", "TaladorRares"}
nodes["Talador"][37607040]={ "34165", "Cro Fleshrender", "", "rare", "TaladorRares"}
nodes["Talador"][56606360]={ "35219", "Kharazos the Triumphant/Galzomar/Sikthiss", "One of them - loot once", "rare", "TaladorRares"}
nodes["Talador"][31806380]={ "34189", "Glimmerwing", "", "rare", "TaladorRares"}
nodes["Talador"][59505960]={ "34196", "Ra'kahn", "", "rare", "TaladorRares"}
nodes["Talador"][34205700]={ "34221", "Echo of Murmur", "", "rare", "TaladorRares"}
nodes["Talador"][46005500]={ "34145", "Frenzied Golem", "", "rare", "TaladorRares"}
nodes["Talador"][41805940]={ "34671", "Shirzir", "in the tomb", "rare", "TaladorRares"}
nodes["Talador"][62004600]={ "34185", "Hammertooth", "", "rare", "TaladorRares"}
nodes["Talador"][53802580]={ "34135", "Yazheera the Incinerator", "", "rare", "TaladorRares"}
nodes["Talador"][86403040]={ "34859", "No'losh", "", "rare", "TaladorRares"}
nodes["Talador"][68201580]={ "34142", "Dr. Gloom", "", "rare", "TaladorRares"}
nodes["Talador"][67703550]={ "36858", "Steeltusk", "", "rare", "TaladorRares"}
nodes["Talador"][69603340]={ "34205", "Wandering Vindicator", "", "rare", "TaladorRares"}
nodes["Talador"][59008800]={ "34171", "Taladorantula", "", "rare", "TaladorRares"}
nodes["Talador"][78005040]={ "34167", "Hen-Mother Hami", "", "rare", "TaladorRares"}
nodes["Talador"][22207400]={ "36919", "Grrbrrgle", "Jumping Crate", "rare", "TaladorRares"}
nodes["Talador"][63802070]={ "34945", "Underseer Bloodmane", "", "rare", "TaladorRares"}

nodes["Talador"][31404750]={ "37344", "Orumo the Observer", "!!!LEVEL100!!! Daily Rare: Assault on Shattrath", "dailyrare", "TaladorRares"}
nodes["Talador"][33803780]={ "37346", "Lady Demlash", "!!!LEVEL100!!! Daily Rare: Assault on Shattrath", "dailyrare", "TaladorRares"}
nodes["Talador"][37203760]={ "37348", "Kurlosh Doomfang", "!!!LEVEL100!!! Daily Rare: Assault on Shattrath", "dailyrare", "TaladorRares"}
nodes["Talador"][36804100]={ "37350", "Vigilant Paarthos", "!!!LEVEL100!!! Daily Rare: Assault on Shattrath", "dailyrare", "TaladorRares"}
nodes["Talador"][30502640]={ "37345", "Lord Korinak", "!!!LEVEL100!!! Daily Rare: Assault on Shattrath", "dailyrare", "TaladorRares"}
nodes["Talador"][39004960]={ "37349", "Matron of Sin", "!!!LEVEL100!!! Daily Rare: Assault on Shattrath", "dailyrare", "TaladorRares"}
nodes["Talador"][41004200]={ "37347", "Shadowflame Terrorwalker", "!!!LEVEL100!!! Daily Rare: Assault on Shattrath", "dailyrare", "TaladorRares"}
nodes["Talador"][44003800]={ "37339", "Bombardier Gu'gok", "!!!LEVEL100!!!", "dailyrare", "TaladorRares"}
nodes["Talador"][48002500]={ "37312", "Haakun the All-Consuming", "!!!LEVEL100!!!", "dailyrare", "TaladorRares"}
nodes["Talador"][46603520]={ "37338", "Avatar of Socrethar", "!!!LEVEL100!!!", "dailyrare", "TaladorRares"}
nodes["Talador"][37802140]={ "37342", "Legion Vanguard", "!!!LEVEL100!!!", "dailyrare", "TaladorRares"}
nodes["Talador"][47603900]={ "37340", "Gug'tol", "!!!LEVEL100!!!", "dailyrare", "TaladorRares"}
nodes["Talador"][50203520]={ "37341", "Felfire Consort", "!!!LEVEL100!!!", "dailyrare", "TaladorRares"}
nodes["Talador"][46002740]={ "37337", "Strategist Ankor", "!!!LEVEL100!!!", "dailyrare", "TaladorRares"}
nodes["Talador"][38001460]={ "37343", "Xothear the Destroyer", "!!!LEVEL100!!!", "dailyrare", "TaladorRares"}

nodes["SpiresOfArak"][36801720]={ "36243", "Outcast's Belongings 1", "Random Green", "default", "SoATreasures"}
nodes["SpiresOfArak"][43901500]={ "36395", "Elixir of Shadow Sight 1", "Elixir for random i585 weapon", "default", "SoATreasures"}
nodes["SpiresOfArak"][43802470]={ "36397", "Elixir of Shadow Sight 2", "Elixir for random i585 weapon", "default", "SoATreasures"}
nodes["SpiresOfArak"][69204330]={ "36398", "Elixir of Shadow Sight 3", "Elixir for random i585 weapon", "default", "SoATreasures"}
nodes["SpiresOfArak"][48906250]={ "36399", "Elixir of Shadow Sight 4", "Elixir for random i585 weapon", "default", "SoATreasures"}
nodes["SpiresOfArak"][55602200]={ "36400", "Elixir of Shadow Sight 5", "Elixir for random i585 weapon", "default", "SoATreasures"}
nodes["SpiresOfArak"][42701830]={ "36244", "Misplaced Scrolls", "", "default", "SoATreasures"}
nodes["SpiresOfArak"][43001640]={ "36245", "Relics of the Outcasts 1", "", "default", "SoATreasures"}
nodes["SpiresOfArak"][46004410]={ "36354", "Relics of the Outcasts 2", "", "default", "SoATreasures"}
nodes["SpiresOfArak"][43202720]={ "36355", "Relics of the Outcasts 3", "", "default", "SoATreasures"}
nodes["SpiresOfArak"][67403980]={ "36356", "Relics of the Outcasts 4", "", "default", "SoATreasures"}
nodes["SpiresOfArak"][60205390]={ "36359", "Relics of the Outcasts 5", "", "default", "SoATreasures"}
nodes["SpiresOfArak"][51904890]={ "36360", "Relics of the Outcasts 6", "", "default", "SoATreasures"}
nodes["SpiresOfArak"][50402580]={ "36444", "Iron Horde Explosives", "Trash Item", "default", "SoATreasures"}
nodes["SpiresOfArak"][50702880]={ "36247", "Lost Herb Satchel", "Herbs", "default", "SoATreasures"}
nodes["SpiresOfArak"][56304530]={ "36433", "Smuggled Apexis Artifacts", "", "default", "SoATreasures"}
nodes["SpiresOfArak"][53305560]={ "36403", "Offering to the Raven Mother 1", "5% rested XP", "default", "SoATreasures"}
nodes["SpiresOfArak"][48305260]={ "36405", "Offering to the Raven Mother 2", "5% rested XP", "default", "SoATreasures"}
nodes["SpiresOfArak"][48905470]={ "36406", "Offering to the Raven Mother 3", "5% rested XP", "default", "SoATreasures"}
nodes["SpiresOfArak"][51906460]={ "36407", "Offering to the Raven Mother 4", "5% rested XP", "default", "SoATreasures"}
nodes["SpiresOfArak"][61006380]={ "36410", "Offering to the Raven Mother 5", "5% rested XP", "default", "SoATreasures"}
nodes["SpiresOfArak"][36303940]={ "36402", "Orcish Signaling Horn", "i577 Trinket Multistrike + Str proc", "default", "SoATreasures"}
nodes["SpiresOfArak"][37204740]={ "36420", "Garrison Supplies", "Garrison Resources", "default", "SoATreasures"}
nodes["SpiresOfArak"][36505790]={ "36418", "Ephial's Dark Grimoire", "i579 offhand", "default", "SoATreasures"}
nodes["SpiresOfArak"][47803610]={ "36411", "Lost Ring", "i578 int ring", "default", "SoATreasures"}
nodes["SpiresOfArak"][49203730]={ "36445", "Assassin's Spear", "i580 agi polearm", "default", "SoATreasures"}
nodes["SpiresOfArak"][46903400]={ "36446", "Outcast's Pouch", "Random Green", "default", "SoATreasures"}
nodes["SpiresOfArak"][47903070]={ "36361", "Shattered Hand Lockbox", "Random Green", "default", "SoATreasures"}
nodes["SpiresOfArak"][42102170]={ "36447", "Outcast's Belongings 2", "Random Green", "default", "SoATreasures"}
nodes["SpiresOfArak"][34102750]={ "36421", "Sun-Touched Cache 1", "Garrison Resources", "default", "SoATreasures"}
nodes["SpiresOfArak"][33302730]={ "36422", "Sun-Touched Cache 2", "Garrison Resources", "default", "SoATreasures"}
nodes["SpiresOfArak"][68203880]={ "36375", "Sethekk Idol", "", "default", "SoATreasures"}
nodes["SpiresOfArak"][71604850]={ "36450", "Sethekk Ritual Brew", "Healing Potions + Alcoholic Beverages", "default", "SoATreasures"}
nodes["SpiresOfArak"][41805050]={ "36451", "Garrison Workman's Hammer", "i580 1H str mace", "default", "SoATreasures"}
nodes["SpiresOfArak"][56202880]={ "36362", "Shattered Hand Cache", "Garrison Resources", "default", "SoATreasures"}
nodes["SpiresOfArak"][68408900]={ "36453", "Coinbender's Payment", "Garrison Resources", "default", "SoATreasures"}
nodes["SpiresOfArak"][63606740]={ "36454", "Mysterious Mushrooms", "Chameleon Lotus", "default", "SoATreasures"}
nodes["SpiresOfArak"][66505650]={ "36455", "Waterlogged Satchel", "Random Green", "default", "SoATreasures"}
nodes["SpiresOfArak"][54403240]={ "36364", "Toxicfang Venom", "100 Garrison Resources", "default", "SoATreasures"}
nodes["SpiresOfArak"][59708130]={ "36365", "Spray-O-Matic 5000 XT", "Garrison Resources", "default", "SoATreasures"}
nodes["SpiresOfArak"][60908460]={ "36456", "Shredder Parts", "Garrison Resources", "default", "SoATreasures"}
nodes["SpiresOfArak"][55509080]={ "36366", "Campaign Contributions", "", "default", "SoATreasures"}
nodes["SpiresOfArak"][50502210]={ "36401", "Fractured Sunstone", "Trash Item", "default", "SoATreasures"}
nodes["SpiresOfArak"][52404280]={ "36416", "Misplaced Scroll", "", "default", "SoATreasures"}
nodes["SpiresOfArak"][44401200]={ "36377", "Rukhmar's Image", "", "default", "SoATreasures"}
nodes["SpiresOfArak"][40605500]={ "36458", "Abandoned Mining Pick", "i578 1H STR Axe + Faster Mining in Draenor", "default", "SoATreasures"}
nodes["SpiresOfArak"][58706030]={ "36340", "Ogron Plunder", "Trash Items", "default", "SoATreasures"}
nodes["SpiresOfArak"][37305070]={ "36657", "Rooby's Roo", "i581 STR Neck", "default", "SoATreasures"} -- or QuestID 36798
nodes["SpiresOfArak"][48604450]={ "xxx", "Gift of Anzu", "i585 Crossbow", "default", "SoATreasures"}
nodes["SpiresOfArak"][37705640]={ "36462", "An Old Key", "", "default", "SoATreasures"}
nodes["SpiresOfArak"][59109060]={ "xxx", "Sailor Zazzuk's 180-Proof Rum  ", "", "default", "SoATreasures"}
nodes["SpiresOfArak"][53108450]={ "xxx", "Elixir of Shadow Sight 6", "Elixir for random i585 weapon", "default", "SoATreasures"}

nodes["SpiresOfArak"][56609460]={ "36306", "Jiasska the Sporegorger", "", "rare", "SoARares"}
nodes["SpiresOfArak"][53208900]={ "36396", "Mutafen", "", "rare", "SoARares"}
nodes["SpiresOfArak"][58208460]={ "36291", "Betsi Boombasket", "", "rare", "SoARares"}
nodes["SpiresOfArak"][57407400]={ "36254", "Tesska the Broken", "", "rare", "SoARares"}
nodes["SpiresOfArak"][64006480]={ "36283", "Blightglow", "", "rare", "SoARares"}
nodes["SpiresOfArak"][54606320]={ "36278", "Talonbreaker", "", "rare", "SoARares"}
nodes["SpiresOfArak"][52805480]={ "36472", "Swarmleaf", "", "rare", "SoARares"}
nodes["SpiresOfArak"][69004880]={ "36276", "Sangrikrass", "", "rare", "SoARares"}
nodes["SpiresOfArak"][36405240]={ "36129", "Nas Dunberlin", "", "rare", "SoARares"}
nodes["SpiresOfArak"][58604520]={ "36298", "Sunderthorn", "", "rare", "SoARares"}
nodes["SpiresOfArak"][62603740]={ "36268", "Kalos the Bloodbathed", "", "rare", "SoARares"}
nodes["SpiresOfArak"][59403740]={ "36279", "Poisonmaster Bortusk", "", "rare", "SoARares"}
nodes["SpiresOfArak"][52003540]={ "36478", "Shadowbark", "", "rare", "SoARares"}
nodes["SpiresOfArak"][25202420]={ "36943", "Gaze", "", "rare", "SoARares"}
nodes["SpiresOfArak"][33402200]={ "36265", "Stonespite", "", "rare", "SoARares"}
nodes["SpiresOfArak"][38402780]={ "36470", "Rotcap", "", "rare", "SoARares"}
nodes["SpiresOfArak"][46402860]={ "36267", "Durkath Steelmaw", "", "rare", "SoARares"}
nodes["SpiresOfArak"][46802300]={ "35599", "Blade-Dancer Aeryx", "", "rare", "SoARares"}
nodes["SpiresOfArak"][59201500]={ "36887", "Hermit Palefur", "", "rare", "SoARares"}
nodes["SpiresOfArak"][66005500]={ "36288", "Oskiira the Vengeful", "", "rare", "SoARares"}
nodes["SpiresOfArak"][33005900]={ "36305", "Gobblefin", "", "rare", "SoARares"}
nodes["SpiresOfArak"][54803960]={ "36297", "Festerbloom", "", "rare", "SoARares"}
nodes["SpiresOfArak"][69005400]={ "37406", "Echidna", "Elite", "rare", "SoARares"}
nodes["SpiresOfArak"][51800720]={ "37394", "Solar Magnifier", "!!!LEVEL100!!!", "rare", "SoARares"}

nodes["FrostfireRidge"][23102500]={ "33916", "Arena Master's War Horn", "Toy", "default", "FFRTreasures"}
nodes["FrostfireRidge"][24202720]={ "33501", "Spectator's Chest", "Alcoholic Beverages", "default", "FFRTreasures"}
nodes["FrostfireRidge"][42401970]={ "34520", "Burning Pearl", "i525 Trinket Multistrike + Mastery Proc", "default", "FFRTreasures"}
nodes["FrostfireRidge"][38403780]={ "33502", "Obsidian Petroglyph", "Obsidian Frostwolf Petroglyph - might be Professionskillbonus", "default", "FFRTreasures"}
nodes["FrostfireRidge"][42703170]={ "33940", "Crag-Leaper's Cache", "i516 agi/int mail boots", "default", "FFRTreasures"}
nodes["FrostfireRidge"][50201860]={ "33531", "Clumsy Cragmaul Brute", "", "default", "FFRTreasures"}
nodes["FrostfireRidge"][16104980]={ "33942", "Supply Dump", "Garrison Resources", "default", "FFRTreasures"}
nodes["FrostfireRidge"][21605070]={ "34931", "Pale Loot Sack", "Garrison Resources", "default", "FFRTreasures"}
nodes["FrostfireRidge"][64702570]={ "33946", "Survivalist's Cache", "Garrison Resources", "default", "FFRTreasures"}
nodes["FrostfireRidge"][24204860]={ "34507", "Frozen Frostwolf Axe", "i516 spellpower axe", "default", "FFRTreasures"}
nodes["FrostfireRidge"][51002280]={ "34521", "Glowing Obsidian Shard", "Garrison Resources", "default", "FFRTreasures"}
nodes["FrostfireRidge"][66702640]={ "33948", "Goren Leftovers", "25 Garrison Resources", "default", "FFRTreasures"}
nodes["FrostfireRidge"][68204580]={ "33947", "Grimfrost Treasure", "Garrison Resources", "default", "FFRTreasures"}
nodes["FrostfireRidge"][43705550]={ "34841", "Forgotten Supplies", "Garrison Resources", "default", "FFRTreasures"}
nodes["FrostfireRidge"][56707180]={ "36863", "Iron Horde Munitions", "Garrison Resources", "default", "FFRTreasures"}
nodes["FrostfireRidge"][69006910]={ "33017", "Iron Horde Supplies", "Garrison Resources", "default", "FFRTreasures"}
nodes["FrostfireRidge"][21900960]={ "33926", "Lagoon Pool", "Toy", "default", "FFRTreasures"}
nodes["FrostfireRidge"][63401480]={ "33525", "Young Orc Woman", "", "default", "FFRTreasures"}
nodes["FrostfireRidge"][37205920]={ "34967", "Raided Loot", "Garrison Resources", "default", "FFRTreasures"}
nodes["FrostfireRidge"][74505620]={ "34937", "Lady Sena's Other Materials Stash", "Garrison Resources", "default", "FFRTreasures"} -- Garrison?
nodes["FrostfireRidge"][27604280]={ "33500", "Slave's Stash", "Alcoholic Beverages", "default", "FFRTreasures"}
nodes["FrostfireRidge"][34202350]={ "32803", "Thunderlord Cache", "Garrison Resources", "default", "FFRTreasures"}
nodes["FrostfireRidge"][64406580]={ "33505", "Wiggling Egg", "Pet", "default", "FFRTreasures"}
nodes["FrostfireRidge"][19201200]={ "34642", "Lucky Coin", "", "default", "FFRTreasures"}
nodes["FrostfireRidge"][57105210]={ "34476", "Frozen Orc Skeleton ", "i516 Trinket Mastery + Pet Proc", "default", "FFRTreasures"}
nodes["FrostfireRidge"][09804540]={ "34641", "Sealed Jug", "Trash", "default", "FFRTreasures"}
nodes["FrostfireRidge"][25502040]={ "34648", "Gnawed Bone", "i516 agi dagger", "default", "FFRTreasures"}
nodes["FrostfireRidge"][24001300]={ "34647", "Snow-Covered Strongbox", "Garrison Resources", "default", "FFRTreasures"}

--[[ very many Ogre Bootys in the DB but no QuestIDs
nodes["FrostfireRidge"][27703910]={ "xxx", "Ogre Booty 1", "", "default", "FFRTreasures"}
nodes["FrostfireRidge"][27303880]={ "xxx", "Ogre Booty 2", "", "default", "FFRTreasures"}
nodes["FrostfireRidge"][28303450]={ "xxx", "Ogre Booty 3", "", "default", "FFRTreasures"}
]]--

nodes["FrostfireRidge"][67407820]={ "34477", "Cyclonic Fure", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][41206820]={ "34843", "Chillfang", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][28206620]={ "34470", "Pale Fishmonger", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][38606300]={ "34865", "Grutush the Pillager", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][51806480]={ "34825", "Gruuk", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][76406340]={ "34132", "Scout Goreseeker", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][25405500]={ "34129", "Coldstomp the Griever", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][27405000]={ "34497", "Breathless", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][40404700]={ "33014", "Cindermaw", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][66403140]={ "33843", "Broodmother Reeg'ak", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][36803400]={ "33938", "Primalist Mur'og", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][26803160]={ "34133", "The Beater", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][40402780]={ "34559", "Yaga the Scarred", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][61602640]={ "34708", "Jehil the Climber", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][34002320]={ "32941", "Canyon Icemother", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][54602220]={ "32918", "Giant-Slayer Kul", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][58603420]={ "34130", "Huntmaster Kuang", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][54606940]={ "34131", "Coldtusk", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][71404680]={ "33504", "Firefury Giant", "", "rare", "FFRRares"}
nodes["FrostfireRidge"][47005520]={ "34839", "Gurun", "", "rare", "FFRRares"}

nodes["FrostfireRidge"][84404880]={ "84384", "Taskmaster Kullah", "!!!LEVEL100!!! Daily Rare: Assault on the Iron Siegeworks", "dailyrare", "FFRRares"} --QuestID most likely wrong
nodes["FrostfireRidge"][85005220]={ "37556", "Jaluk the Pacifist", "!!!LEVEL100!!! Daily Rare: Assault on the Iron Siegeworks", "dailyrare", "FFRRares"}
nodes["FrostfireRidge"][88605740]={ "37525", "Ak'ox the Slaughterer", "!!!LEVEL100!!! Daily Rare: Assault on the Iron Siegeworks", "dailyrare", "FFRRares"}
nodes["FrostfireRidge"][86604880]={ "37401", "Ragore Driftstalker", "!!!LEVEL100!!! Daily Rare: Assault on the Iron Siegeworks", "dailyrare", "FFRRares"}
nodes["FrostfireRidge"][86605180]={ "37403", "Earthshaker Holar", "!!!LEVEL100!!! Daily Rare: Assault on the Iron Siegeworks", "dailyrare", "FFRRares"}
nodes["FrostfireRidge"][83604720]={ "37402", "Ogom the Mangler", "!!!LEVEL100!!! Daily Rare: Assault on the Iron Siegeworks", "dailyrare", "FFRRares"}
nodes["FrostfireRidge"][87004640]={ "37404", "Kaga the Ironbender", "!!!LEVEL100!!! Daily Rare: Assault on the Iron Siegeworks", "dailyrare", "FFRRares"}
nodes["FrostfireRidge"][70002700]={ "37381", "Mother of Goren", "!!!LEVEL100!!! Daily Rare: Assault on Magnarok", "dailyrare", "FFRRares"}
nodes["FrostfireRidge"][72203300]={ "37361", "The Bone Crawler", "!!!LEVEL100!!! Daily Rare: Assault on Magnarok", "dailyrare", "FFRRares"}
nodes["FrostfireRidge"][68801940]={ "37382", "Hoarfrost", "!!!LEVEL100!!! Daily Rare: Assault on Magnarok", "dailyrare", "FFRRares"}
nodes["FrostfireRidge"][72203000]={ "87349", "Gomtar the Agile", "!!!LEVEL100!!! Daily Rare: Assault on Magnarok", "dailyrare", "FFRRares"} --QuestID most likely wrong
nodes["FrostfireRidge"][72203600]={ "37380", "Gibblette the Cowardly", "!!!LEVEL100!!! Daily Rare: Assault on Magnarok", "dailyrare", "FFRRares"}
nodes["FrostfireRidge"][70003600]={ "37562", "Gorg'ak the Lava Guzzler", "!!!LEVEL100!!! Daily Rare: Assault on Magnarok", "dailyrare", "FFRRares"}
nodes["FrostfireRidge"][70603900]={ "37379", "Vrok the Ancient", "!!!LEVEL100!!! Daily Rare: Assault on Magnarok", "dailyrare", "FFRRares"}
nodes["FrostfireRidge"][72402420]={ "37378", "Valkor", "!!!LEVEL100!!! Daily Rare: Assault on Magnarok", "dailyrare", "FFRRares"}
nodes["FrostfireRidge"][43600940]={ "37384", "Tor'goroth", "!!!LEVEL100!!! Daily Rare: Assault on Stonefury Cliffs", "dailyrare", "FFRRares"}
nodes["FrostfireRidge"][38201600]={ "37383", "Son of Goramal", "!!!LEVEL100!!! Daily Rare: Assault on Stonefury Cliffs", "dailyrare", "FFRRares"}
nodes["FrostfireRidge"][45001500]={ "37385", "Slogtusk the Corpse-Eater", "!!!LEVEL100!!! Daily Rare: Assault on Stonefury Cliffs", "dailyrare", "FFRRares"}
nodes["FrostfireRidge"][48202340]={ "37386", "Jabberjaw", "!!!LEVEL100!!! Daily Rare: Assault on Stonefury Cliffs", "dailyrare", "FFRRares"}
nodes["FrostfireRidge"][43002100]={ "37387", "Moltnoma", "!!!LEVEL100!!! Daily Rare: Assault on Stonefury Cliffs", "dailyrare", "FFRRares"}

function DraenorTreasures:OnEnter(mapFile, coord)
    if (not nodes[mapFile][coord]) then return end
	
	local tooltip = self:GetParent() == WorldMapButton and WorldMapTooltip or GameTooltip
	if ( self:GetCenter() > UIParent:GetCenter() ) then -- compare X coordinate
		tooltip:SetOwner(self, "ANCHOR_LEFT")
	else
		tooltip:SetOwner(self, "ANCHOR_RIGHT")
	end

	tooltip:SetText(nodes[mapFile][coord][2])
	if (nodes[mapFile][coord][3] ~= nil) then
	 tooltip:AddLine(nodes[mapFile][coord][3], nil, nil, nil, true)
	end
	tooltip:Show()
end

function DraenorTreasures:OnLeave(mapFile, coord)
	if self:GetParent() == WorldMapButton then
		WorldMapTooltip:Hide()
	else
		GameTooltip:Hide()
	end
end

local options = {
 type = "group",
 name = "DraenorTreasures",
 desc = "Locations of treasures in Draenor.",
get = function(info) return DraenorTreasures.db.profile[info.arg] end,
set = function(info, v) DraenorTreasures.db.profile[info.arg] = v; DraenorTreasures:Refresh() end,
 args = {
   desc = {
   name = "General Settings",
   type = "description",
   order = 0,
  },
   icon_scale_treasures = {
   type = "range",
   name = "Icon Scale for Treasures",
   desc = "The scale of the icons",
   min = 0.25, max = 3, step = 0.01,
   arg = "icon_scale_treasures",
   order = 1,
  },
  icon_scale_rares = {
   type = "range",
   name = "Icon Scale for Rares",
   desc = "The scale of the icons",
   min = 0.25, max = 3, step = 0.01,
   arg = "icon_scale_rares",
   order = 2,
  },
  icon_alpha = {
   type = "range",
   name = "Icon Alpha",
   desc = "The alpha transparency of the icons",
   min = 0, max = 1, step = 0.01,
   arg = "icon_alpha",
   order = 20,
  },

  VisibilityOptions = {
  type = "group",
  name = "Visibility Settings",
  desc = "Visibility Settings",
  args = {


VisibilityGroup = {
	type = "group",
	order = 0,
	name = "Select what to show in which zone:",
	inline = true,
	args = {
SMVGroup = {
	name = "Shadowmoon Valley",
	desc = "Shadowmoon Valley",
	type = "header",
	order = 0,
	},
SMVTreasures = {
   type = "toggle",
   name = "Shadowmoon Valley Treasures",
   arg = "SMVTreasures",
   order = 1,
  },
SMVRares = {
   type = "toggle",
   name = "Shadowmoon Valley Rares",
   arg = "SMVRares",
   order = 2,
  },
FFRGroup = {
	name = "Frostfire Ridge",
	desc = "Frostfire Ridge",
	type = "header",
	order = 10,
	},	
FFRTreasures = {
   type = "toggle",
   name = "Frostfire Ridge Treasures",
   arg = "FFRTreasures",
   order = 11,
  },
FFRRares = {
   type = "toggle",
   name = "Frostfire Ridge Rares",
   arg = "FFRRares",
   order = 12,
  },
GorgrondGroup = {
	name = "Gorgrond",
	desc = "Gorgrond",
	type = "header",
	order = 20,
	},	
GorgrondTreasures = {
   type = "toggle",
   name = "Gorgrond Treasures",
   arg = "GorgrondTreasures",
   order = 21,
  },
GorgrondRares = {
   type = "toggle",
   name = "Gorgrond Rares",
   arg = "GorgrondRares",
   order = 22,
  },  
TaladorGroup = {
	name = "Talador",
	desc = "Talador",
	type = "header",
	order = 30,
	},	
TaladorTreasures = {
   type = "toggle",
   name = "Talador Treasures",
   arg = "TaladorTreasures",
   order = 31,
  },
TaladorRares = {
   type = "toggle",
   name = "Talador Rares",
   arg = "TaladorRares",
   order = 32,
  },  
SoAGroup = {
	name = "Spires of Arak",
	desc = "Spires of Arak",
	type = "header",
	order = 40,
	},	  
SoATreasures = {
   type = "toggle",
   name = "Spires of Arak Treasures",
   arg = "SoATreasures",
   order = 41,
  },
SoARares = {
   type = "toggle",
   name = "Spires of Arak Rares",
   arg = "SoARares",
   order = 42,
  },  
NagrandGroup = {
	name = "Nagrand",
	desc = "Nagrand",
	type = "header",
	order = 50,
	},	    
  NagrandTreasures = {
   type = "toggle",
   name = "Nagrand Treasures",
   arg = "NagrandTreasures",
   order = 51,
  },
  NagrandRares = {
   type = "toggle",
   name = "Nagrand Rares",
   arg = "NagrandRares",
   order = 52,
  },
	},
  },
  alwaysshow = {
   type = "toggle",
   name = "Also show already looted(killed) Treasures(Rares)",
   desc = "Show every treasure/rare regardless of looted status",
   arg = "alwaysshow",
   order = 100,
   width = "full",
  },
	 },
	},
  },
}

function DraenorTreasures:OnInitialize()
 local defaults = {
  profile = {
   icon_scale_treasures = 1.5,
   icon_scale_rares = 2.0,
   icon_alpha = 1.0,
   alwaysshow = false,
   save = true,
   SMVTreasures = true,
   SMVRares = true,
   FFRTreasures = true,
   FFRRares = true,
   GorgrondTreasures = true,
   GorgrondRares = true,
   TaladorTreasures = true,
   TaladorRares = true,
   SoATreasures = true,
   SoARares = true,
   NagrandTreasures = true,
   NagrandRares = true,
  },
 }

 self.db = LibStub("AceDB-3.0"):New("DraenorTreasuresDB", defaults, true)
 self:RegisterEvent("PLAYER_ENTERING_WORLD", "WorldEnter")
end

function DraenorTreasures:WorldEnter()
 self:UnregisterEvent("PLAYER_ENTERING_WORLD")
 self:ScheduleTimer("RegisterWithHandyNotes", 10)
end

function DraenorTreasures:RegisterWithHandyNotes()
do
	local function iter(t, prestate)
		if not t then return nil end
		local state, value = next(t, prestate)
		while state do
			    -- questid, chest type, quest name, icon
			    if (value[1] and self.db.profile[value[5]] and not DraenorTreasures:HasBeenLooted(value)) then
					if ((value[4] == "default") or (value[4] == "unknown")) then
					return state, nil, iconDefaults[value[4]], DraenorTreasures.db.profile.icon_scale_treasures, DraenorTreasures.db.profile.icon_alpha
					end
				 return state, nil, iconDefaults[value[4]], DraenorTreasures.db.profile.icon_scale_rares, DraenorTreasures.db.profile.icon_alpha
				end
			state, value = next(t, state)
		end
	end
	function DraenorTreasures:GetNodes(mapFile, isMinimapUpdate, dungeonLevel)
		return iter, nodes[mapFile], nil
	end
end
 HandyNotes:RegisterPluginDB("DraenorTreasures", self, options)
 self:RegisterBucketEvent({ "LOOT_CLOSED" }, 2, "Refresh")
 self:Refresh()
end
 
function DraenorTreasures:Refresh()
 if (not self.db.profile.save) then
  table.wipe(self.db.char)
 end
 self:SendMessage("HandyNotes_NotifyUpdate", "DraenorTreasures")
end

function DraenorTreasures:HasBeenLooted(value)
 if (self.db.profile.alwaysshow) then return false end
 if value[1] == "xxx" then return false end
 
 if (self.db.char[value[1]] and self.db.profile.save) then return true end
 
 if (IsQuestFlaggedCompleted(value[1])) then
  if (self.db.profile.save and not value[4]) then
   self.db.char[value[1]] = true;
  end
  
  return true
 end
  
 return false
end